PIDOF(1)

NAMN
pidof — hitta process-ID för ett körande program

SYNOPSIS
pidof [-s] [-c] [-q] [-w] [-x] [-o skippapid[,skippapid…]…] -t [-S separator] program [program…]

BESKRIVNING
Pidof hittar process-id:t (pid:ar) för de namngivna programmen. Det skriver ut dessa id:n till standard ut.

FLAGGOR

-s  Enkelskott — detta instruerar programmet att endast returnera en pid.

-c  Returnera endast process-id:n som kör med samma rotkatalog. Denna flagga ignoreras för andra användare än root, eftersom de inte kommer kunna kontrollera den aktuella rotkatalogen för processer de inte äger.

-q  Tyst läge, undertryck all utdata och sätt bara slutstatus.

-w  Visa även processer som inte har en synlig kommandorad (t.ex. kärnarbetstrådar).

-x  Även skript — detta får programmet att även returnera process-id:n för skal som kör de namngivna skripten.

-o skippapid
    Säger till pidof att utesluta processer med det process-id:t. Den speciella processen %PPID kan användas för att namnge föräldraprocessen till pidof-programmet, med andra ord det anropande skalet eller skalskriptet.

-t  Visa alla tråd-id:n istället för pid:n.

-S separator
    Använd separator som separator placerad mellan pid:er. Använd endast när mer än en pid skrivs för programmet. Flaggan -d är ett alias för denna flagga för kompatibilitet med sysvinit:s pidof.

SLUTSTATUS

0   Åtminstone ett program hittades med det begärda namnet.

1   Inget program hittades med det begärda namnet.

FEL
När flaggan -x används har pidof endast en enkel metod för att upptäcka skript och kommer missa skript som, till exempel, använder env. Denna begränsning beror på hur skripten ser ut i proc-filsystemet.

SE ÄVEN
pgrep(1), pkill(1)

UPPHOVSMAN
Jaromir Capik (jcapik@redhat.com)